require 'spec_helper'

describe 'flexlm::service', :type => :define do

 let(:title) { 'vendorA' }
 let :params do
   {:license_path => '/pkgs/license/license.dat' }
 end
 let :facts do
   {:osfamily => 'Debian'}
 end

 it { should contain_service('flexlm-vendorA').with(
   :ensure => 'running'
 )}

 it { should contain_file('init-vendorA').with(
  :owner => 'root'
 )}

 context 'on non supported osfamilies' do
   let :facts do
     {:osfamily => 'foo'}
   end

   it 'should fail' do
     expect { subject }.to  raise_error(/foo is not supported/)
   end
 end
end
